#
# spec file for package device-mapper
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           device-mapper
# bug437293
%ifarch ppc64
Obsoletes:      device-mapper-64bit
%endif
#
Version:        1.02.78
Release:        21.7.8254.1.PTF.909358
Summary:        Device Mapper Tools
License:        GPL-2.0+ and LGPL-2.1+
Group:          System/Base
Source:         ftp://sources.redhat.com/pub/lvm2/LVM2.2.02.98.tgz
Source42:       ftp://sources.redhat.com/pub/lvm2/LVM2.2.02.98.tgz.asc
Source50:       thin-provisioning-tools-v0.2.4.tar.gz
Source99:       baselibs.conf
Patch1:         %{name}-dmsetup-export.patch
Patch2:         %{name}-gcc-warnings.patch
Patch3:         %{name}-static.patch
Patch6:         bug-479104_device-mapper-dmsetup-deps-export.patch
Patch10:        device-mapper-link
Patch11:        increase-minor-version.diff
#bnc730837, fixed in upstream
Patch12:        segault_for_truncated_string_token.patch

#sr#140943
#bnc#78902,bnc#789019,bnc#789020
Patch13:        udev-rules_update.diff

#bnc#788882
Patch14:        udev_sync-cookie_set-1-on-each-dm_task_set_cookie-ca.patch

#bnc#862817,upstraem
Patch15:        s390-sectorsize4096.patch

Patch16:        add_integrate_flush_flag.patch

Patch9229051:	udev-Check-for-DM_NR_VALID_PATHS.patch
Patch9229052:	udev-Do-not-ignore-PATH_FAILED-events.patch

Patch9093581:	13-dm-disk.rules-Import-ID_FS_XXX-variables.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  boost-devel
BuildRequires:  gcc-c++
BuildRequires:  libexpat-devel
BuildRequires:  libselinux-devel
BuildRequires:  libstdc++-devel
BuildRequires:  suse-module-tools
BuildRequires:  systemd-rpm-macros
BuildRequires:  pkgconfig(libudev)
Requires:       expat

PreReq:         %insserv_prereq %fillup_prereq

%{systemd_requires}

%description
Programs, libraries, and man pages for configuring and using the device
mapper.



Authors:
--------
    Joe Thornber <thornber@sistina.com>

%package devel
Summary:        Development package for the device mapper
Group:          System/Base
Requires:       %name = %version

%description devel
Files needed for software development using the device mapper



Authors:
--------
    Joe Thornber <thornber@sistina.com>

%prep
%setup -q -n LVM2.2.02.98 -a50
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch6 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1

%patch9229051 -p1
%patch9229052 -p1

%patch9093581 -p1
%build
export CFLAGS="$RPM_OPT_FLAGS"
%configure --bindir=/bin --libdir=/%_lib --sbindir=/sbin --enable-dmeventd \
           --enable-selinux --enable-cmdlib \
           --with-dmeventd-path=/sbin/dmeventd \
           --with-device-uid=0 --with-device-gid=6 --with-device-mode=0640 \
		   --enable-udev_sync --enable-udev_rules --with-udev-prefix=/usr/ \
		   --enable-pkgconfig --enable-realtime --with-thin=internal \
    		--with-thin-check=/sbin/thin_check --with-default-pid-dir=/run \
            --with-default-dm-run-dir=/run --with-default-run-dir=/run/lvm \
            --with-default-locking-dir=/run/lock/lvm

export SUSE_ASNEEDED=0
make -j1 device-mapper # symlinks are generated in parallel! %{?_smp_mflags}
sed s/1.03.01/%{version}/g < VERSION_DM > VERSION_DM.new
mv VERSION_DM.new VERSION_DM
rm -f libdm/ioctl/libdevmapper.so daemons/dmeventd/libdevmapper-event.so
make -j1 device-mapper
pushd thin-provisioning-tools-0.2.4
%configure --sbindir=/sbin --prefix=/usr
make
popd

%install
make install_device-mapper DESTDIR=$RPM_BUILD_ROOT
sed s/%{version}/1.03.01/g < VERSION_DM > VERSION_DM.new
mv VERSION_DM.new VERSION_DM
rm -f libdm/ioctl/libdevmapper.so daemons/dmeventd/libdevmapper-event.so
make -j1 device-mapper
make install_device-mapper DESTDIR=$RPM_BUILD_ROOT
#make libdir=$RPM_BUILD_ROOT/%_libdir install_static_lib
mkdir -p $RPM_BUILD_ROOT/%_libdir
mkdir -p $RPM_BUILD_ROOT/%_libdir/pkgconfig
mkdir -p $RPM_BUILD_ROOT/etc/init.d
#install -m 744 %{SOURCE1} $RPM_BUILD_ROOT/etc/init.d
install -d  $RPM_BUILD_ROOT%{_unitdir}
install -m 0644 scripts/dm_event_systemd_red_hat.socket $RPM_BUILD_ROOT%{_unitdir}/dm-event.socket
install -m 0644 scripts/dm_event_systemd_red_hat.service $RPM_BUILD_ROOT%{_unitdir}/dm-event.service
[ %_libdir != "/usr/lib" ] && mv $RPM_BUILD_ROOT/usr/lib/libdevmapper.so $RPM_BUILD_ROOT/%_libdir/libdevmapper.so
[ %_libdir != "/usr/lib" ] && mv $RPM_BUILD_ROOT/usr/lib/libdevmapper-event.so $RPM_BUILD_ROOT/%_libdir/libdevmapper-event.so
[ %_libdir != "/usr/lib" ] && mv $RPM_BUILD_ROOT/usr/lib/libdevmapper.a $RPM_BUILD_ROOT/%_libdir/libdevmapper.a
[ %_libdir != "/usr/lib" ] && mv $RPM_BUILD_ROOT/usr/lib/pkgconfig/devmapper.pc $RPM_BUILD_ROOT/%_libdir/pkgconfig/devmapper.pc
[ %_libdir != "/usr/lib" ] && mv $RPM_BUILD_ROOT/usr/lib/pkgconfig/devmapper-event.pc $RPM_BUILD_ROOT/%_libdir/pkgconfig/devmapper-event.pc
pushd thin-provisioning-tools-0.2.4
make install DESTDIR=$RPM_BUILD_ROOT MANDIR=%{_mandir}
popd

%post
%service_add_post dm-event.service dm-event.socket
/sbin/ldconfig
%{?regenerate_initrd_post}

%posttrans
%{?regenerate_initrd_posttrans}

%pre
%service_add_pre dm-event.service dm-event.socket

%preun
%service_del_preun dm-event.service dm-event.socket

%postun
%service_del_postun dm-event.service dm-event.socket
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc INSTALL COPYING COPYING.LIB README
%doc udev/12-dm-permissions.rules
/%_lib/libdevmapper.so.1.02
/%_lib/libdevmapper.so.1.03
/%_lib/libdevmapper-event.so.1.02
/%_lib/libdevmapper-event.so.1.03
/sbin/dmsetup
/sbin/dmeventd
/usr/sbin/thin_check
/usr/sbin/thin_dump
/usr/sbin/thin_restore
/usr/sbin/thin_metadata_size
/usr/sbin/thin_repair
/usr/sbin/thin_rmap
%{_mandir}/man8/dmsetup.8.gz
%{_mandir}/man8/dmeventd.8.gz
%{_mandir}/man8/thin_check.8.gz
%{_mandir}/man8/thin_dump.8.gz
%{_mandir}/man8/thin_restore.8.gz
%{_mandir}/man8/thin_metadata_size.8.gz
%{_mandir}/man8/thin_repair.8.gz
%{_mandir}/man8/thin_rmap.8.gz
%{_udevrulesdir}/10-dm.rules
%{_udevrulesdir}/13-dm-disk.rules
%{_udevrulesdir}/95-dm-notify.rules
%{_unitdir}/dm-event.socket
%{_unitdir}/dm-event.service

%files devel
%defattr(-,root,root)
/%_libdir/libdevmapper.so
/%_libdir/libdevmapper-event.so
%attr(644, root, root) %_libdir/libdevmapper.a
/usr/include/libdevmapper.h
/usr/include/libdevmapper-event.h
/%_libdir/pkgconfig/devmapper-event.pc
/%_libdir/pkgconfig/devmapper.pc

%changelog
* Wed Mar 25 2015 tcech@suse.cz
- for bnc#909358
  13-dm-disk.rules-Import-ID_FS_XXX-variables.patch
* Thu Mar 19 2015 tcech@suse.cz
- from bnc#922905 for bnc#909358
    udev-Check-for-DM_NR_VALID_PATHS.patch
    udev-Do-not-ignore-PATH_FAILED-events.patch
* Tue Sep  2 2014 ro@suse.de
- sanitize release line in specfile
* Thu Aug  7 2014 dmzhang@suse.com
- add new option "integrated_flush" to device-mapper
  bnc#890959, patch: add_integrate_flush_flag.patch
* Mon Jul 14 2014 dmzhang@suse.com
- bnc#885999, device-mapper %%posttrans script, unary operator expected
* Thu Jul  3 2014 dmzhang@suse.com
- use rpm macros to only trigger one initrd rebuild per install/update
  remove mkinitrd*
* Tue Jul  1 2014 dmzhang@suse.com
- bnc#884489, remove unreferenced boot.device-mapper
* Thu May 22 2014 werner@suse.de
- Require the udev library for build to allow the move
  of udev.pc back to udev
* Wed May 21 2014 jsegitz@novell.com
- added necessary macros for systemd files
* Fri Mar 28 2014 dmzhang@suse.com
- bnc#862817, thinly provisioned LVM VGs not activating after deactivation
  s390-sectorsize4096.patch
* Sun Sep  8 2013 crrodriguez@opensuse.org
- Further tweaks in the systemd integration:
  * Use /run not /var/run
  * systemd units are not executables.
* Sun Sep  8 2013 coolo@suse.com
- readd devel package to baselibs.conf
* Wed Aug 28 2013 meissner@suse.com
- replace buildrequires systemd by pkgconfig(udev), use
  systemd rpm macro for rules dir.
* Mon Aug 26 2013 meissner@suse.com
- add gpg signature file, use source urls
* Tue Aug  6 2013 dmzhang@suse.com
- remove boot.device-mapper, add systemd support
  add thin provision tools support
* Wed Feb 20 2013 nfbrown@suse.com
- mkinitrd-devmapper-setup.sh: special case handling
  for "dm-thin" and table is called "thin" but module
  is "dm-thin-pool"  (BNC#803955)
* Mon Feb 18 2013 dmzhang@suse.com
- bnc#730837, LVM tools fail with segfault when /etc/lvm/.cache
  file is truncated
* Wed Dec  5 2012 nfbrown@suse.com
- add thin-provisioning-tools (FATE#313904)
* Tue Dec  4 2012 nfbrown@suse.com
- Update to latest upstream version LVM2.2.02.98
  to gain dm-thin support. (FATE#313904).
* Thu Jul 19 2012 dmzhang@suse.com
- bnc#766187, lvremove fails on deleting snapshot volume,
  wait more time if has open_count
- bnc#770200: Online Update to SP2 with kernel 3.0.34-0.7-default
  cause LVM to report memory leak, run mkinitrd when update package
* Fri Feb  3 2012 jankit@suse.de
- Install 12-dm-permissions.rules as a doc file, instead of
  /lib/udev/rules.d/ . This file is meant as a template, to be
  customized and copied to /etc/udev/rules.d . Remove earlier,
  now redundant, patch for the same file. (bnc#743797).
* Wed Dec  7 2011 ro@suse.de
- make building libdevmapper-event in both versions a little
  more robust (we ended up without the 1.03 libs in 10%% of the
  build tries)
* Fri Dec  2 2011 jankit@suse.de
- install 12-dm-permissions.rules file.
  bnc#728897.
* Tue Nov  1 2011 xwhu@suse.com
- bnc#512988, require dm-mirror if root on dm.
* Mon Oct 24 2011 xwhu@suse.com
- bnc#719424. Packages depend on libdevmapper want to differentiate
  the libraries with udev support or without.
  So, the package now provides both 1.02 and 1.03 libraries. The
  1.02 library will be dropped once upstream bump up the version
  number officially.
* Wed Oct 19 2011 nfbrown@suse.com
- device-mapper-link: Make sure /dev/device-mapper
  gets created as a link to /dev/mapper/control.
  This is needed for compatibility with SP1 and earlier.
  bnc#724578
* Wed Aug 17 2011 dmueller@suse.de
- add baselibs.conf to sources
* Mon Jul 25 2011 xwhu@novell.com
- bnc#707253, 'dmsetup export' failure cause the problem with udev
  rules.
* Tue Jun 28 2011 xwhu@novell.com
- enable the udev rules for device-mapper to create device file
- enable the udev rules for sync operation
* Mon Jun 13 2011 xwhu@novell.com
- update to 1.02.63 as per requested by fate#312090
  Fix segfault when getopt processes dmsetup -U, -G and -M options.
  Add libdevmapper functions to support synchronisation with udev.
* Thu Apr 14 2011 xwhu@novell.com
- bnc#638424, make the "waiting for deactivation" less verbose
* Fri Dec  3 2010 xwhu@novell.com
- bnc#628272, avoiding wait for info only command
* Wed Mar  3 2010 xwhu@novell.com
- bnc#582168, update again as cmirrord updated
* Wed Feb 24 2010 xwhu@novell.com
- bnc#582168, lvcreate fails to create clustered mirror lv
* Wed Jan  6 2010 xwhu@suse.de
- bnc#550363, memory access error in hash
- bnc#557775, wait before deactivate
- add support for userspace log (required by cmirrord)
* Wed Oct 28 2009 xwhu@novell.com
- fate#306518, LVM mirror resize back port
* Tue Apr 21 2009 xwhu@suse.de
- bnc#479104, export additional information
* Tue Feb  3 2009 hare@suse.de
- No whitespace for DM_STATE export variable (bnc#440959)
- Remove obsolete reference to boot.scsidev from init script
* Wed Dec 10 2008 olh@suse.de
- use Obsoletes: -XXbit only for ppc64 to help solver during distupgrade
  (bnc#437293)
* Wed Nov  5 2008 werner@suse.de
- As boot.crypto depends on boot.device-mapper, the later one has
  even on shutdown to depend on boot.udev to make sure that events
  will be processed (bnc#413059)
* Thu Oct 30 2008 olh@suse.de
- obsolete old -XXbit packages (bnc#437293)
* Sat Sep 13 2008 xwhu@suse.de
- Fix typo for correct compiling
- Timeout if udevd's not running (bnc#425436)
* Wed Sep 10 2008 xwhu@suse.de
- update to 1.02.27
  Align struct memblock in dbg_malloc for sparc.
  Add --unquoted and --rows to dmsetup.
  Avoid compiler warning about cast in dmsetup.c's OFFSET_OF macro.
  Fix inverted no_flush debug message.
  Remove --enable-jobs from configure. (Set at runtime instead.)
  Bring configure.in and list.h into line with the lvm2 versions.
* Wed Sep  3 2008 hare@suse.de
- Call mkinitrd_setup during %%post and %%postun (bnc#413709)
* Mon Aug 25 2008 prusnak@suse.cz
- enabled SELinux support [Fate#303662]
* Fri Aug 22 2008 xwhu@suse.de
- Remove the -p option for fillup_and_insserv
* Wed Aug 13 2008 xwhu@suse.de
- Add Should-Stop to boot.device-mapper
* Wed Jul 23 2008 hare@suse.de
- Include mkinitrd scriptlets.
* Wed Jul 16 2008 xwhu@suse.de
- repack device-mapper.1.02.26.tar.bz2 into bzip2.
- change the owner of device to root:disk, with permission
  0640 (bnc#407952)
* Tue Jun 24 2008 xwhu@suse.de
- update to new version 1.02.26
  Initialise params buffer to empty string in _emit_segment.
  Skip add_dev_node when ioctls disabled.
  Make dm_hash_iter safe against deletion.
  Accept a NULL pointer to dm_free silently.
  Add tables_loaded, readonly and suspended columns to reports.
  Add --nameprefixes to dmsetup.
  Add field name prefix option to reporting functions.
  Calculate string size within dm_pool_grow_object.
  Remove redundant if-before-free tests.
  Use log_warn for reporting field help text instead of log_print.
  Change cluster mirror log type name (s/clustered_/clustered-/)
* Fri May 30 2008 xwhu@suse.de
- Hold on mknod until udev finish it's job.
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Wed Feb 27 2008 dmueller@suse.de
- fix static library installation again
* Tue Feb 26 2008 dmueller@suse.de
- fix "binary contains trace of $RPM_BUILD_ROOT" failure
* Thu Feb  7 2008 hare@suse.de
- Enable dmeventd (FATE#303381)
* Thu Jan 31 2008 fehr@suse.de
- update to new version 1.02.24
  Fix deptree to pass new name to _resume_node after a rename.
  Suppress other node operations if node is deleted.
  Report error when empty device name passed to readahead functions.
* Mon Dec 10 2007 fehr@suse.de
- update to new version 1.02.23
  Add readahead support to libdevmapper and dmsetup.
  Fix double free in a libdevmapper-event error path.
  Allow a DM_DEV_DIR environment variable to override /dev.
* Thu Nov 22 2007 fehr@suse.de
- update to new version 1.02.22
  Fix inconsistent licence notices: executables are GPLv2; libraries LGPLv2.1.
  Fix dmsetup -o devno string termination.
  Fix default dmsetup report buffering and add --unbuffered.
  Add tree-based and dependency fields to dmsetup reports.
* Mon May  7 2007 kay.sievers@suse.de
- update to new version 1.02.19
  Avoid trailing separator in reports when there are hidden sort fields.
  Fix segfault in 'dmsetup status' without --showkeys against crypt target.
  Migrate dmsetup column-based output over to new libdevmapper report framework.
  Add descriptions to reporting field definitions.
  Add basic reporting functions to libdevmapper.
- remove dmsetup option patch (upstream provides it)
- add dmsetup export command
* Sun Feb 11 2007 ro@suse.de
- fix build as non-root
* Tue Jan 16 2007 fehr@suse.de
- remove superfluouus /lib/libdevmapper.so (#235359)
- add call to ldconfig (#235359)
* Wed Dec  6 2006 fehr@suse.de
- update to new version 1.02.13
  Update dmsetup man page (setgeometry & message).
  Fix dmsetup free after getline with debug.
  Suppress encryption key in 'dmsetup table' output unless --showkeys supplied.
* Mon Oct 16 2006 fehr@suse.de
- update to new version 1.02.12
  Avoid deptree attempting to suspend a device that's already suspended.
  Add suspend noflush support.
  Add basic dmsetup loop support.
  Switch dmsetup to use dm_malloc and dm_free.
* Wed Sep 20 2006 fehr@suse.de
- update to new version 1.02.10
  Add dm_snprintf(), dm_split_words() and dm_split_lvm_name() to libdevmapper.
  Reorder mm bounds_check code to reduce window for a dmeventd race.
* Thu Sep 14 2006 mkoenig@suse.de
- fixed permissions for static lib
- removed static lib version extension
* Tue Sep 12 2006 hvogel@suse.de
- split device-mapper-devel subpackage
- install static libs (needed to link cryptsetup from
  util-linux-crypto static)
* Wed Aug 30 2006 hare@suse.de
- Fix gcc warnings
- Fix field display for 'dmsetup info'.
* Wed Aug 30 2006 hare@suse.de
- Add 'major', 'minor', and 'uuid' as valid fields for
  'dmsetup info -o XXX'.
* Wed Aug 16 2006 fehr@suse.de
- update to new version 1.02.09
  Add --table argument to dmsetup for a one-line table.
  Abort if errors are found during cmdline option processing.
  Add lockfs indicator to debug output.
* Wed Jul 26 2006 fehr@suse.de
- update to new version 1.02.08
  Update dmsetup man page.
  Add --force to dmsetup remove* to load error target.
  dmsetup remove_all also performs mknodes.
  Don't suppress identical table reloads if permission changes.
  Fix corelog segment line.
* Mon May 22 2006 fehr@suse.de
- update to new version 1.02.07
  Add DM_CORELOG flag to dm_tree_node_add_mirror_target().
  Avoid a dmeventd compiler warning.
- update to new version 1.02.06
  Move DEFS into configure.h.
  Fix leaks in error paths found by coverity.
  Remove dmsetup line buffer limitation.
* Thu Apr 20 2006 fehr@suse.de
- update to new version 1.02.05
  Separate install_include target in makefiles.
  Separate out DEFS from CFLAGS.
  Support pkg-config.
  Check for libsepol.
* Wed Apr 19 2006 fehr@suse.de
- update to new version 1.02.04
  Bring dmsetup man page up-to-date.
  Use name-based device refs if kernel doesn't support device number refs.
  Fix memory leak (struct dm_ioctl) when struct dm_task is reused.
  If _create_and_load_v4 fails part way through, revert the creation.
  dmeventd thread/fifo fixes.
  Add file & line to dm_strdup_aux().
  Add setgeometry.
* Tue Mar 14 2006 fehr@suse.de
- update to new version 1.02.03
  Add exported functions to set uid, gid and mode.
  Rename _log to dm_log and export.
  Add dm_tree_skip_lockfs.
  Fix dm_strdup debug definition.
  Fix hash function to avoid using a negative array offset.
  Don't inline _find in hash.c and tidy signed/unsigned etc.
  Fix libdevmapper.h #endif.
  Fix dmsetup version driver version.
  Add sync, nosync and block_on_error mirror log parameters.
  Add hweight32.
  Fix dmeventd build.
* Thu Mar  2 2006 hare@suse.de
- Do not call devmap_mknod.sh (#150818)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 24 2006 fehr@suse.de
- fix exit code of "dmsetup version" (#144794)
* Mon Jan 23 2006 fehr@suse.de
- add boot.udev to Required-Start section of init script (#144586)
* Tue Dec  6 2005 fehr@suse.de
- update to new version 1.02.02
* Tue Sep 27 2005 fehr@suse.de
- update to new version 1.01.05
* Wed Sep 21 2005 fehr@suse.de
- increase ioctl buffer size from 16k to 256k to allow larger number
  of dm device visible by "dmsetup ls" and "dmsetup table"
* Wed Aug  3 2005 fehr@suse.de
- update to new version 1.01.04
* Thu Jun 30 2005 meissner@suse.de
- use RPM_OPT_FLAGS.
* Tue Jun 14 2005 fehr@suse.de
- update to new version 1.01.03
* Wed May 18 2005 fehr@suse.de
- update to new version 1.01.02
* Mon Apr 11 2005 fehr@suse.de
- use -py instead of -pY as option for fillup_and_insserv (#76689)
- update to new version 1.01.01
* Tue Jan 18 2005 fehr@suse.de
- update to new version 1.01.00
* Tue Jan 11 2005 fehr@suse.de
- update to new version 1.00.21
* Thu Aug 26 2004 fehr@suse.de
- /dev/mapper directory is now part of devs.rpm (#44258)
* Wed Jul 14 2004 fehr@suse.de
- update to new version 1.00.19
* Thu May 27 2004 fehr@suse.de
- do not unload dm modules on shutdown, this hangs on some machines
* Sat Apr 10 2004 aj@suse.de
- devicemapper does not need 2.6 kernelsources.
* Thu Apr  1 2004 fehr@suse.de
- update to new version 1.00.09
* Tue Mar 16 2004 fehr@suse.de
- fix typo in start script (#36168)
* Mon Mar 15 2004 fehr@suse.de
- do not depend on existence of /dev/mapper dir (#35825)
* Tue Mar  2 2004 ro@suse.de
- remove root-fsck stuff in bootscript
- instead depend on boot.rootfsck
* Fri Dec  5 2003 fehr@suse.de
- update to new version 1.00.07
* Mon Nov 17 2003 odabrunz@suse.de
- fix spec file to make it compile with both new and old glibc
  (__kernel_dev_t)
* Thu Oct  2 2003 fehr@suse.de
- add fix to make it compile with new glibc (use __kernel_old_dev_t)
* Thu Sep 18 2003 fehr@suse.de
- fix boot.devicemapper to cope with LABEL= and UUID= in /etc/fstab
  also check reiser filesystem (#31060)
* Wed Sep 17 2003 fehr@suse.de
- add comment when remounting root fs read-only (#31060)
* Tue Sep 16 2003 kukuk@suse.de
- Add missing PreRequires [Bug #31006]
* Tue Sep  2 2003 fehr@suse.de
- update to version 1.00.05
* Mon Aug 25 2003 fehr@suse.de
- update to version 1.00.04
* Thu Aug 21 2003 fehr@suse.de
- update to version 1.00.03
* Mon Aug 18 2003 garloff@suse.de
- (#29083) Add # X-UnitedLinux-Should-Start: boot.scsidev
* Fri Jul 25 2003 fehr@suse.de
- update to version 1.00.02
* Tue Jul  1 2003 fehr@suse.de
- add boot script for automated startup in system
- fix typos in boot script
* Mon Jun 30 2003 fehr@suse.de
- created initial version of a SuSE package
